/**
 * Alfresco Content Services REST API
 * **Search API**  Provides access to the search features of Alfresco Content Services.
 *
 * OpenAPI spec version: 1
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.1
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['../../../alfrescoApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../../../alfrescoApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.AlfrescoContentServicesRestApi) {
      root.AlfrescoContentServicesRestApi = {};
    }
    root.AlfrescoContentServicesRestApi.ContentInfo = factory(root.AlfrescoContentServicesRestApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The ContentInfo model module.
   * @module model/ContentInfo
   * @version 0.1.0
   */

  /**
   * Constructs a new <code>ContentInfo</code>.
   * @alias module:model/ContentInfo
   * @class
   * @param mimeType {string}
   * @param mimeTypeName {string}
   * @param sizeInBytes {number}
   */
  var exports = function(mimeType, mimeTypeName, sizeInBytes) {
    var _this = this;

    _this['mimeType'] = mimeType;
    _this['mimeTypeName'] = mimeTypeName;
    _this['sizeInBytes'] = sizeInBytes;


  };

  /**
   * Constructs a <code>ContentInfo</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {any} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ContentInfo} obj Optional instance to populate.
   * @return {module:model/ContentInfo} The populated <code>ContentInfo</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('mimeType')) {
        obj['mimeType'] = ApiClient.convertToType(data['mimeType'], 'String');
      }
      if (data.hasOwnProperty('mimeTypeName')) {
        obj['mimeTypeName'] = ApiClient.convertToType(data['mimeTypeName'], 'String');
      }
      if (data.hasOwnProperty('sizeInBytes')) {
        obj['sizeInBytes'] = ApiClient.convertToType(data['sizeInBytes'], 'Number');
      }
      if (data.hasOwnProperty('encoding')) {
        obj['encoding'] = ApiClient.convertToType(data['encoding'], 'String');
      }
      if (data.hasOwnProperty('mimeTypeGroup')) {
        obj['mimeTypeGroup'] = ApiClient.convertToType(data['mimeTypeGroup'], 'String');
      }
    }
    return obj;
  }

  /**
   * @member {string} mimeType
   */
  exports.prototype['mimeType'] = undefined;
  /**
   * @member {string} mimeTypeName
   */
  exports.prototype['mimeTypeName'] = undefined;
  /**
   * @member {number} sizeInBytes
   */
  exports.prototype['sizeInBytes'] = undefined;
  /**
   * @member {string} encoding
   */
  exports.prototype['encoding'] = undefined;
  /**
   * @member {string} mimeTypeGroup
   */
  exports.prototype['mimeTypeGroup'] = undefined;



  return exports;
}));


